Subject: bug#11211: 23.3; Gnus - eudc/ldap - inline expansion does not work

From: Glenn Morris <[email-masked]>
Date: Fri, 13 Apr 2012 00:11:08 -0400

Kamil Jońca wrote:

> Debugger entered--Lisp error: (error "No match")
>   signal(error ("No match"))
>   (condition-case signal (progn (setq response ...) (if ... ... ... ... ...) (or ... ...)) (error (or ... ...) (signal ... ...)))
>   (let* ((end ...) (beg ...) (query-words ...) query-formats response response-string response-strings (eudc-former-server eudc-server) (eudc-former-protocol eudc-protocol) servers) (setq servers (copy-sequence eudc-server-hotlist)) (setq servers (cond ... ... ... ...)) (if (and eudc-max-servers-to-query ...) (setcdr ... nil)) (condition-case signal (progn ... ... ...) (error ... ...)))
>   eudc-expand-inline()

I'm afraid that's not much more informative. There are some variables
you can set so that the lists don't get abbreviated, but I forget
precisely which ones they are. Anyway, a full backtrace probably isn't
going to help too much. All that happens is that it fails to find a
match for some reason.

I'm afraid I have no idea how to configure eudc so that I can test this
myself, and I don't have any ldap servers to test it with anyway.

If you can use edebug, you might try looking into this more yourself.
If as you say it works in other contexts, then the problem may be
something simple like it not extracting the correct string from the
buffer in the first place.